﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using Win32;

namespace Carousel
{
    public partial class SkinSwitch : UserControl
    {
        public SkinSwitch()
        {
            InitializeComponent();
        }

        [Category("SwitchStatus"), Description("Switch mode: True or False")]
        public Boolean SwitchStatus
        {
            get { return this.BTN_On.Visible; }
            set 
            {
                if (value)
                {
                    this.BTN_Off.Visible = false;
                    this.BTN_On.Visible = true;
                }
                else
                {
                    this.BTN_On.Visible = false;
                    this.BTN_Off.Visible = true;
                }
            }
        }

        [Category("SwitchText"), Description("The switch text")]
        public string SwitchText
        {
            get { return this.BTN_Label.Text; }
            set { this.BTN_Label.Text = value; }
        }


        private void SWITCH_MouseClick(object sender, MouseEventArgs e)
        {
            if (this.BTN_Off.Visible)
            {
                this.BTN_Off.Visible = false;
                this.BTN_On.Visible = true;
            }
            else
            {
                this.BTN_On.Visible = false;
                this.BTN_Off.Visible = true;
            }
            Api.SendMessage(Api.GetForegroundWindow(), Api.WM_COMMAND, (uint)this.Handle, (int)this.Handle);

        }
    }
}
